package types

import "p78git.ddns.net/svi/libtui/alias"

// ISize -- объект размера
type ISize interface {
	// Get -- возвращает размер по X и Y
	Get() (alias.SizeX, alias.SizeY)
	// Set -- устанавливает размер по X и Y
	Set(alias.SizeX, alias.SizeY)
	// X -- возвращает размер по X
	X() ISizeX
	// Y -- возвращает размер по Y
	Y() ISizeY
}
